Create a webhook subscription
POST
/api/v1/webhooksRequires an Organization API key with the manageMembers capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "url": "http://example.com", "eventTypes": [ "conversation.escalated" ] }'{ "subscription": { "id": "string", "organizationId": "string", "name": "string", "url": "string", "eventTypes": [ "conversation.escalated" ], "paused": true, "createdAt": "string", "updatedAt": "string" }, "secret": "string"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}